View Issue Details

IDProjectCategoryView StatusLast Update
0002946Ham Radio DeluxeBugpublic2018-11-22 01:20
ReporterKB3NPH 
Assigned ToK7ZCZ 
PriorityurgentSeveritymajorReproducibilityalways
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version6.4.0.907 
Summary0002946: V6.4.0.902 issue with starting Trial version
DescriptionWhen someone is installing the HRD software for the very first time and is trying to setup the Trial Version, After they first run the software, it shows the Welcome screen, then comes to the screen for them to enter their callsign, when the call is entered, the [Next] button remains grayed out. They are not permitted to continue from this screen.

As a work-around, when it asks for their callsign the first time, instead of entering the call, if they click on the [Cancel] button the License Manager will open. Once in the License Manager, if they click on the [Activate] button, the window will open for their Callsign and Activation key to be entered. If they just enter their Callsign, with no activation key and click the [OK] button, their Trial activation will then show in the status window and they can click the [Continue] on the bottom of the License Manager to proceed to the Rig Connection screen.

 
TagsNo tags attached.
ModuleRig Control
Sub-ModuleGeneral
Testing Beta Successful

Relationships

Activities

K7ZCZ

2018-11-20 06:56

manager   ~0006432

fixed with this checkin: https://hrdsoftware.visualstudio.com/HRD/_versionControl/changeset/4468

K7ZCZ

2018-11-20 08:13

manager   ~0006433

Fix merged to the 6.5 branch. https://hrdsoftware.visualstudio.com/HRD/_versionControl/changeset/4471

KB3NPH

2018-11-21 08:19

administrator   ~0006437

I've tested this Alpha 6.4.0.905 release and confirm the issue has been resolved.

WA9PIE

2018-11-21 12:08

administrator   ~0006439

Tim's test confirms.

Issue History

Date Modified Username Field Change
2018-11-19 12:54 KB3NPH New Issue
2018-11-20 06:56 K7ZCZ Assigned To => K7ZCZ
2018-11-20 06:56 K7ZCZ Status new => resolved
2018-11-20 06:56 K7ZCZ Resolution open => fixed
2018-11-20 06:56 K7ZCZ Note Added: 0006432
2018-11-20 08:13 K7ZCZ Note Added: 0006433
2018-11-20 12:44 K7ZCZ Project 1 - Backlog => 3 - Current Dev List
2018-11-21 08:19 KB3NPH Note Added: 0006437
2018-11-21 12:08 WA9PIE Status resolved => closed
2018-11-21 12:08 WA9PIE Fixed in Version => 6.4.0.905
2018-11-21 12:08 WA9PIE Testing Not Started => Beta Successful
2018-11-21 12:08 WA9PIE Note Added: 0006439
2018-11-21 12:08 WA9PIE Project 3 - Current Dev List => Ham Radio Deluxe
2018-11-22 01:20 WA9PIE Fixed in Version 6.4.0.905 => 6.4.0.907